local addon = DiminishingReturns
if not addon then return end

local L = setmetatable({}, {
	__index = function(self, key)
		if key ~= nil then
			self[key] = tostring(key)
		end
		return tostring(key)
	end,
	__newindex = function(self, key, value)
		if value == true then value = key end
		rawset(self, tostring(key), tostring(value))
	end
})
addon.L = L

L["Always"] = true
L["Anchor to screen"] = true
L["Arena"] = true
L["Being PvP flagged"] = true
L["Big timer"] = true
L["Blizzard: arena enemies"] = true
L["Bottom"] = true
L["Bottom left"] = true
L["Bottom right"] = true
L["Center"] = true
L["Check this box to attach diminishing return icons to this/these frame/s."] = true
L["Check this box to display diminishing returns of mobs. Please remember that dimishing returns usually do not apply to mobs."] = true
L["Check this box to swap diminishing and timer texts."] = true
L["Check this to anchor the icon bar to the screen instead of the unit frame. This allows you to place it whereever you want."] = true
L["Direction"] = true
L["Enable test mode"] = true
L["Enabled"] = true
L["Entering arena only"] = true
L["Entering battleground or arena"] = true
L["Frame options"] = true
L["Frame side"] = true
L["Icon anchor"] = true
L["Icon size"] = true
L["Icon spacing"] = true
L["Learn categories to show"] = true
L["Left"] = true
L["No supported addon has been loaded yet."] = true
L["Postponed loading"] = true
L["PvE mode"] = true
L["Reset duration"] = true
L["Right"] = true
L["Select diminishing returns categories to display."] = true
L["Select in which direction the icons are layed out."] = true
L["Select to which side of the unit frame the icon bar is attached."] = true
L["Select which side of the icon bar is attached to the unit frame."] = true
L["Shown categories"] = true
L["This category is triggered by the following effects:\
%s"] = true
L["This is the delay between the end of an effect and the time it can be applied at full length again. This delay is officialy 15 seconds but higher values have been recorded. You can do some tests and adjust this value accordingly. This will not affect running diminishing returns."] = true
L["Top"] = true
L["Top left"] = true
L["Top right"] = true
L["Use this option to postpone loading. Once loaded, DiminishingReturns is always active outside of PvE instances.\
This option requires AddonLoader."] = true
L["Use this to set a vertical offset between the icon anchor and the unit frame attach point, in pixels."] = true
L["Use this to set an horizontal offset between the icon anchor and the unit frame attach point, in pixels."] = true
L["Use this to set the icon size, in pixels."] = true
L["Use this to set the size of the gap between icons, in pixels."] = true
L["When enabled, DiminishingReturns will discover the categories to display when you use spells that triggers them."] = true
L["X offset"] = true
L["Y offset"] = true
--------------------------------------------------------------------------------
-- Locales from localization system
--------------------------------------------------------------------------------

-- %Localization: diminishingreturns
-- AUTOMATICALLY GENERATED BY UpdateLocalization.lua
-- ANY CHANGE BELOW THIS LINE WILL BE LOST ON NEXT UPDATE
-- CHANGES SHOULD BE MADE USING http://www.wowace.com/addons/diminishingreturns/localization/

local locale = GetLocale()
if locale == "frFR" then
L["Always"] = "Toujours"
L["Anchor to screen"] = "Positionné sur l'écran"
L["Arena"] = "Arène"
L["Being PvP flagged"] = "Avoir le marqueur JcJ"
L["Big timer"] = "Décompte en grand"
L["Blizzard: arena enemies"] = "Blizzard: ennemis d'arène"
L["Bottom"] = "Bas"
L["Bottom left"] = "Bas gauche"
L["Bottom right"] = "Bas droit"
L["Center"] = "Centre"
L["Check this box to attach diminishing return icons to this/these frame/s."] = "Cochez cette case pour activer l'affichage des rendements décroissant de cette unité."
L["Check this box to display diminishing returns of mobs. Please remember that dimishing returns usually do not apply to mobs."] = "Cochez cette case pour afficher les rendements décroissants sur les mobs. Pour mémoire, ils ne s'appliquent généralement pas aux mobs."
L["Check this box to swap diminishing and timer texts."] = "Cochez cette case pour afficher le décompte du délai à la place de la réduction de durée."
L["Check this to anchor the icon bar to the screen instead of the unit frame. This allows you to place it whereever you want."] = "Cochez cette case pour positionné les icônes par rapport à l'écran plutôt qu'à l'unité. Cela permet de les placer où vous voulez."
L["Direction"] = "Direction"
L["Enabled"] = "Activé"
L["Enable test mode"] = "Activer le mode de test"
L["Entering arena only"] = "Entrer dans une arène"
L["Entering battleground or arena"] = "Entrer dans un champ de bataille ou une arène"
L["Frame options"] = "Options d'affichage"
L["Frame side"] = "Côté de la barre"
L["Icon anchor"] = "Ancrage des icônes"
L["Icon size"] = "Taille des icônes"
L["Icon spacing"] = "Espacement des icônes"
L["Learn categories to show"] = "Apprendre les catégories à afficher"
L["Left"] = "Gauche"
L["No supported addon has been loaded yet."] = "Aucun addon supporté n'a été chargé pour l'instant."
L["Postponed loading"] = "Chargement reporté"
L["PvE mode"] = "Mode JcE"
L["Reset duration"] = "Délai de remise à zéro"
L["Right"] = "Droit"
L["Select diminishing returns categories to display."] = "Sélectionnez les catégories de rendement décroissant à afficher."
L["Select in which direction the icons are layed out."] = "Choisissez la direction dans laquelle s'étendent les icônes."
L["Select to which side of the unit frame the icon bar is attached."] = "Choisissez par rapport à quel point de l'unité sont positionnés les icônes."
L["Select which side of the icon bar is attached to the unit frame."] = "Choisissez quel côté des icônes est attaché à l'unité."
L["Shown categories"] = "Catégories affichées"
L[ [=[This category is triggered by the following effects:
%s]=] ] = [=[Cette catégorie est déclenchée par les effets suivants :
%s]=]
L["This is the delay between the end of an effect and the time it can be applied at full length again. This delay is officialy 15 seconds but higher values have been recorded. You can do some tests and adjust this value accordingly. This will not affect running diminishing returns."] = "Ceci est le délai entre la fin d'un effet et le moment où il peut être à nouveau appliqué pour toute sa durée. Ce délai est officiellement 15 secondes mais des valeurs supérieures ont déjà été constatées. Vous pouvez faire des tests et ajuster cette valeur en conséquence. (Cela n'affectera que les nouveaux rendements.)"
L["Top"] = "Haut"
L["Top left"] = "Haut gauche"
L["Top right"] = "Haut droit"
L[ [=[Use this option to postpone loading. Once loaded, DiminishingReturns is always active outside of PvE instances.
This option requires AddonLoader.]=] ] = "Utilisez cette option pour retarder le chargement de l'addon. Une fois chargé, DiminishingReturns est toujours actifs en dehors des instance PvE. Cette option ne fonctionne qu'avec AddonLoader."
L["Use this to set an horizontal offset between the icon anchor and the unit frame attach point, in pixels."] = "Définissez un décalage horizontal entre le premier icône et l'unité, en pixels."
L["Use this to set a vertical offset between the icon anchor and the unit frame attach point, in pixels."] = "Définissez un décalage vertical entre le premier icône et l'unité, en pixels."
L["Use this to set the icon size, in pixels."] = "Définissez la taille des icônes, en pixels."
L["Use this to set the size of the gap between icons, in pixels."] = "Définissez l'écrart entre les icônes, en pixels."
L["When enabled, DiminishingReturns will discover the categories to display when you use spells that triggers them."] = "Si coché, DiminishingReturns détectera les catégories à afficher quand vous utilisez des sorts qui les déclenchent."
L["X offset"] = "Décalage en X"
L["Y offset"] = "Décalage en Y"
elseif locale == "deDE" then
L["Always"] = "Immer"
L["Arena"] = "Arena"
L["Being PvP flagged"] = "PvP Gekennzeichnet"
L["Blizzard: arena enemies"] = "Arena Gegner"
L["Bottom"] = "Unten"
L["Bottom left"] = "Unten Links"
L["Bottom right"] = "Unten Rechts"
L["Center"] = "Mitte"
L["Direction"] = "Richtung"
L["Enable test mode"] = "Aktiviere Testmodus"
L["Entering arena only"] = "Nur bei Eintritt Arena"
L["Entering battleground or arena"] = "Nur bei Eintritt Arena oder Battleground"
L["Frame options"] = "Frame Optionen"
L["Frame side"] = "Frame Seite"
L["Icon anchor"] = "Icon Anker"
L["Icon size"] = "Icon Größe"
L["Icon spacing"] = "Icon Zeichenabstand"
L["Learn categories to show"] = "Lerne Katagorien für Anzeige"
L["Left"] = "Links"
L["No supported addon has been loaded yet."] = "Es wurde kein unterstütztes Addon geladen"
L["Right"] = "Rechts"
L["Select diminishing returns categories to display."] = "Wähle diminishing returns Kategorien zum Anzeigen"
L["Shown categories"] = "Zeige Kategorie"
L[ [=[This category is triggered by the following effects:
%s]=] ] = "Diese Kategorie wird ausgelöst durch den folgenden Effekt"
L["Top"] = "Oben"
L["Top left"] = "Oben Links"
L["Top right"] = "Oben Rechts"
L["X offset"] = "X offset"
L["Y offset"] = "Y offset"
elseif locale == "esES" then
L["Always"] = "Siempre"
L["Arena"] = "Arena"
L["Being PvP flagged"] = "Marcado con bandera PVP" -- Needs review
L["Blizzard: arena enemies"] = "Blizzard: enemigos de arena"
L["Bottom"] = "Abajo"
L["Bottom left"] = "Abajo a la izquierda"
L["Bottom right"] = "Abajo a la derecha"
L["Center"] = "Centrado"
L["Direction"] = "Dirección"
L["Left"] = "Izquierda"
L["Right"] = "Derecha"
L["Top"] = "Arriba"
L["Top left"] = "Arriba a la izquierda"
L["Top right"] = "Arriba a la derecha"
elseif locale == "zhTW" then
L["Always"] = "總是"
L["Anchor to screen"] = "置於螢幕內"
L["Arena"] = "競技場"
L["Being PvP flagged"] = "PvP 插旗"
L["Big timer"] = "大計時"
L["Blizzard: arena enemies"] = "暴雪：競技場敵人"
L["Bottom"] = "底部"
L["Bottom left"] = "底部左側"
L["Bottom right"] = "底部右側"
L["Center"] = "中間"
L["Check this box to attach diminishing return icons to this/these frame/s."] = "點選此框將附著遞減圖示到其所在框體。"
L["Check this box to display diminishing returns of mobs. Please remember that dimishing returns usually do not apply to mobs."] = "點選此框顯示怪物的遞減規則。請注意遞減規則通常對怪物不起作用。"
L["Check this box to swap diminishing and timer texts."] = "點選此框將互換遞減與計時的文本。"
L["Check this to anchor the icon bar to the screen instead of the unit frame. This allows you to place it whereever you want."] = "選中此圖示定位到螢幕而不是單位的框架。這允許你自由定位。"
L["Direction"] = "方向"
L["Enabled"] = "啟用"
L["Enable test mode"] = "啟用測試模塊"
L["Entering arena only"] = "只用於競技場"
L["Entering battleground or arena"] = "只用於戰場與競技場"
L["Frame options"] = "框架選項"
L["Frame side"] = "框架邊緣"
L["Icon anchor"] = "圖示錨點"
L["Icon size"] = "圖示大小"
L["Icon spacing"] = "圖示間距"
L["Learn categories to show"] = "顯示學習類別"
L["Left"] = "左側"
L["No supported addon has been loaded yet."] = "已加載不兼容的插件。"
L["Postponed loading"] = "延遲加載"
L["PvE mode"] = "PvE 模式"
L["Reset duration"] = "重置持續時間"
L["Right"] = "右側"
L["Select diminishing returns categories to display."] = "選擇顯示收益遞減類別。"
L["Select in which direction the icons are layed out."] = "切換圖示排列方向佈局。"
L["Select to which side of the unit frame the icon bar is attached."] = "選擇圖示條附著到單位框體旁邊。"
L["Select which side of the icon bar is attached to the unit frame."] = "選擇圖示條附著到單位框體哪一邊。"
L["Shown categories"] = "顯示類別"
L[ [=[This category is triggered by the following effects:
%s]=] ] = [=[此類觸發以下效果：
%s]=]
L["This is the delay between the end of an effect and the time it can be applied at full length again. This delay is officialy 15 seconds but higher values have been recorded. You can do some tests and adjust this value accordingly. This will not affect running diminishing returns."] = "這是在效果結束與未結束之間的時間延遲並可再次用於全長。此延遲為15秒但會記錄更高的值。可以進行些測試並調整此值。這不會影響到遞減規則的運行。"
L["Top"] = "頂部"
L["Top left"] = "頂部左側"
L["Top right"] = "頂部右側"
L[ [=[Use this option to postpone loading. Once loaded, DiminishingReturns is always active outside of PvE instances.
This option requires AddonLoader.]=] ] = [=[使用此選項推遲加載。加載一次後，DiminishingReturns 總是在 PvE 副本之外啟用。
此選項需要 AddonLoader 插件。 ]=]
L["Use this to set an horizontal offset between the icon anchor and the unit frame attach point, in pixels."] = "以像素為單位設置圖示錨點與單位框體附著點間的水平距離。"
L["Use this to set a vertical offset between the icon anchor and the unit frame attach point, in pixels."] = "以像素為單位設置圖示錨點與單位框體附著點間的垂直距離。"
L["Use this to set the icon size, in pixels."] = "以像素為單位設置圖示大小。"
L["Use this to set the size of the gap between icons, in pixels."] = "以像素為單位設置圖示之間的距離大小。"
L["When enabled, DiminishingReturns will discover the categories to display when you use spells that triggers them."] = "當 DiminishingReturns 啟用時將查找顯示你使用觸發的技能類別。"
L["X offset"] = "X 偏移量"
L["Y offset"] = "Y 偏移量"
elseif locale == "zhCN" then
L["Always"] = "总是"
L["Anchor to screen"] = "置于屏幕内"
L["Arena"] = "竞技场"
L["Being PvP flagged"] = "PvP 插旗"
L["Big timer"] = "大计时"
L["Blizzard: arena enemies"] = "暴雪：竞技场敌人"
L["Bottom"] = "底部"
L["Bottom left"] = "底部左侧"
L["Bottom right"] = "底部右侧"
L["Center"] = "中间"
L["Check this box to attach diminishing return icons to this/these frame/s."] = "点选此框将附着递减图标到其所在框体。"
L["Check this box to display diminishing returns of mobs. Please remember that dimishing returns usually do not apply to mobs."] = "点选此框显示怪物的递减规则。请注意递减规则通常对怪物不起作用。"
L["Check this box to swap diminishing and timer texts."] = "点选此框将互换递减与计时的文本。"
L["Check this to anchor the icon bar to the screen instead of the unit frame. This allows you to place it whereever you want."] = "选中此图标定位到屏幕而不是单位的框架。这允许你自由定位。"
L["Direction"] = "方向"
L["Enabled"] = "启用"
L["Enable test mode"] = "启用测试模块"
L["Entering arena only"] = "只用于竞技场"
L["Entering battleground or arena"] = "只用于战场与竞技场"
L["Frame options"] = "框架选项"
L["Frame side"] = "框架边缘"
L["Icon anchor"] = "图标锚点"
L["Icon size"] = "图标大小"
L["Icon spacing"] = "图标间距"
L["Learn categories to show"] = "显示学习类别"
L["Left"] = "左侧"
L["No supported addon has been loaded yet."] = "已加载不兼容的插件。"
L["Postponed loading"] = "延迟加载"
L["PvE mode"] = "PvE 模式"
L["Reset duration"] = "重置持续时间"
L["Right"] = "右侧"
L["Select diminishing returns categories to display."] = "选择显示收益递减类别。"
L["Select in which direction the icons are layed out."] = "切换图标排列方向布局。"
L["Select to which side of the unit frame the icon bar is attached."] = "选择图标条附着到单位框体旁边。"
L["Select which side of the icon bar is attached to the unit frame."] = "选择图标条附着到单位框体哪一边。"
L["Shown categories"] = "显示类别"
L[ [=[This category is triggered by the following effects:
%s]=] ] = [=[此类触发以下效果：
%s]=]
L["This is the delay between the end of an effect and the time it can be applied at full length again. This delay is officialy 15 seconds but higher values have been recorded. You can do some tests and adjust this value accordingly. This will not affect running diminishing returns."] = "这是在效果结束与未结束之间的时间延迟并可再次用于全长。此延迟为15秒但会记录更高的值。可以进行些测试并调整此值。这不会影响到递减规则的运行。"
L["Top"] = "顶部"
L["Top left"] = "顶部左侧"
L["Top right"] = "顶部右侧"
L[ [=[Use this option to postpone loading. Once loaded, DiminishingReturns is always active outside of PvE instances.
This option requires AddonLoader.]=] ] = [=[使用此选项推迟加载。加载一次后，DiminishingReturns 总是在 PvE 副本之外启用。
此选项需要 AddonLoader 插件。]=]
L["Use this to set an horizontal offset between the icon anchor and the unit frame attach point, in pixels."] = "以像素为单位设置图标锚点与单位框体附着点间的水平距离。"
L["Use this to set a vertical offset between the icon anchor and the unit frame attach point, in pixels."] = "以像素为单位设置图标锚点与单位框体附着点间的垂直距离。"
L["Use this to set the icon size, in pixels."] = "以像素为单位设置图标大小。"
L["Use this to set the size of the gap between icons, in pixels."] = "以像素为单位设置图标之间的距离大小。"
L["When enabled, DiminishingReturns will discover the categories to display when you use spells that triggers them."] = "当 DiminishingReturns 启用时将查找显示你使用触发的技能类别。"
L["X offset"] = "X 偏移量"
L["Y offset"] = "Y 偏移量"
elseif locale == "koKR" then
L["Always"] = "항상"
L["Arena"] = "투기장"
L["Being PvP flagged"] = "PvP 깃발전"
L["Blizzard: arena enemies"] = "블리자드 : 투기장 대상"
L["Bottom"] = "하단"
L["Bottom left"] = "하단 왼쪽"
L["Bottom right"] = "하단 오른쪽"
L["Center"] = "가운데"
L["Direction"] = "아이콘 생성 방향"
L["Enable test mode"] = "테스트 모드 허용"
L["Entering arena only"] = "투기장에서만 사용"
L["Entering battleground or arena"] = "전장 혹은 투기장 사용"
L["Frame options"] = "프레임 옵션"
L["Frame side"] = "프레임 가장자리"
L["Icon anchor"] = "아이콘 위치"
L["Icon size"] = "아이콘 크기"
L["Icon spacing"] = "아이콘 간격"
L["Learn categories to show"] = "카테고리 사용"
L["Left"] = "왼쪽"
L["No supported addon has been loaded yet."] = "지원 가능한 애드온을 로딩하지 못했습니다."
L["Right"] = "오른쪽"
L["Select diminishing returns categories to display."] = "선택 가능한 Diminishing returns 보기"
L["Shown categories"] = "카테고리들 보기"
L[ [=[This category is triggered by the following effects:
%s]=] ] = [=[이 카테고리 트리거를 따릅니다.
%s]=]
L["Top"] = "상단"
L["Top left"] = "상단 왼쪽"
L["Top right"] = "상단 오른쪽"
L["When enabled, DiminishingReturns will discover the categories to display when you use spells that triggers them."] = "기능이 활성화되면, DiminishingReturns를 사용할 때 표시할 카테고리를 볼 수 있습니다."
L["X offset"] = "X 좌표"
L["Y offset"] = "Y 좌표"
end
